MVT Time Now
MVT is the abbreviation of Maldives Time. Time zone offset of MVT is UTC+05. Maldives Time is 5 hours ahead from the UTC universal time. MVT current date is 4th Wednesday November 2026. Current time in MVT (MVT).
MVT Time
10:43:31
4 November 2026 Wednesday
MVT (Maldives Time) is 5 hours ahead of the UTC universal time, and it is used at the Maldives Islands, including the cities and towns of Male, Naifaru, Mula, Gan, and others. The archipelago is located in the Indian Ocean and is a very famous vacation destination.
What time is it in Maldives Time now? It is 10:43:31 right now.
Maldives Time Date and Time Now in Various Formats
| Date Time Format | MVT Date Time Now |
|---|---|
| UTC | 2026-11-04T10:43:31Z |
| ISO-8601 | 2026-11-04T10:43:31+0000 |
| RFC 2822 | Wed, 04 Nov 2026 10:43:31 +0000 |
| RFC 850 | Wednesday, 04-Nov-26 10:43:31 UTC |
| RFC 1036 | Wed, 04 Nov 26 10:43:31 +0000 |
| RFC 1123 | Wed, 04 Nov 2026 10:43:31 +0000 |
| RFC 822 | Wed, 04 Nov 26 10:43:31 +0000 |
| RFC 3339 | 2026-11-04T10:43:31+00:00 |
| ATOM | 2026-11-04T10:43:31+00:00 |
| COOKIE | Wednesday, 04-Nov-2026 10:43:31 UTC |
| RSS | Wed, 04 Nov 2026 10:43:31 +0000 |
| W3C | 2026-11-04T10:43:31+00:00 |
| Unix Epoch | 1793789011 |
| YYYY-DD-MM HH:MM:SS | 2026-04-11 10:43:31 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-04-11 10:43:31 AM |
| DD-MM-YYYY HH:MM:SS | 04-11-2026 10:43:31 |
| MM-DD-YYYY HH:MM:SS | 11-04-2026 10:43:31 |